diff --git a/src/main/java/net/minecraft/core/block/PaintableStairsBlock.java b/src/main/java/net/minecraft/core/block/BlockStairsPaintable.java
similarity index 78%
rename from src/main/java/net/minecraft/core/block/PaintableStairsBlock.java
rename to src/main/java/net/minecraft/core/block/BlockStairsPaintable.java
index 8cf9d16d0..833b05b3f 100644
--- a/src/main/java/net/minecraft/core/block/PaintableStairsBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockStairsPaintable.java
@@ -1,17 +1,17 @@
-package net.minecraft.core.block;
-
-import net.minecraft.core.util.helper.DyeColor;
-import net.minecraft.core.world.World;
-
-public class PaintableStairsBlock extends StairsBlock implements IPaintable {
-    public PaintableStairsBlock(Block block, String namespaceId, int id) {
-        super(block, namespaceId, id);
-    }
-
-    @Override
-    public void setColor(World world, int x, int y, int z, DyeColor color) {
-        final int meta = world.getBlockMetadata(x, y, z);
-        world.setBlockAndMetadata(x, y, z, Blocks.STAIRS_PLANKS_PAINTED.id, meta);
-        ((IPaintable) Blocks.STAIRS_PLANKS_PAINTED).setColor(world, x, y, z, color);
-    }
-}
+package net.minecraft.core.block;
+
+import net.minecraft.core.util.helper.DyeColor;
+import net.minecraft.core.world.World;
+
+public class BlockStairsPaintable extends BlockStairs implements IPaintable {
+    public BlockStairsPaintable(Block block, String namespaceId, int id) {
+        super(block, namespaceId, id);
+    }
+
+    @Override
+    public void setColor(World world, int x, int y, int z, DyeColor color) {
+        final int meta = world.getBlockMetadata(x, y, z);
+        world.setBlockAndMetadata(x, y, z, Blocks.STAIRS_PLANKS_PAINTED.id, meta);
+        ((IPaintable) Blocks.STAIRS_PLANKS_PAINTED).setColor(world, x, y, z, color);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/block/PaintedStairsBlock.java b/src/main/java/net/minecraft/core/block/BlockStairsPainted.java
similarity index 84%
rename from src/main/java/net/minecraft/core/block/PaintedStairsBlock.java
rename to src/main/java/net/minecraft/core/block/BlockStairsPainted.java
index 0b63bdb3d..3f15f550e 100644
--- a/src/main/java/net/minecraft/core/block/PaintedStairsBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockStairsPainted.java
@@ -1,36 +1,36 @@
-package net.minecraft.core.block;
-
-import net.minecraft.core.util.helper.DyeColor;
-import net.minecraft.core.world.World;
-
-public class PaintedStairsBlock extends StairsBlock implements IPainted {
-    public PaintedStairsBlock(Block block, String namespaceId, int id) {
-        super(block, namespaceId, id);
-    }
-
-    @Override
-    public DyeColor fromMetadata(int meta) {
-        return DyeColor.colorFromBlockMeta((meta & 0xF0) >> 4);
-    }
-
-    @Override
-    public int toMetadata(DyeColor color) {
-        return color.blockMeta << 4;
-    }
-
-    @Override
-    public int stripColorFromMetadata(int meta) {
-        return meta & 0xF;
-    }
-
-    @Override
-    public void removeDye(World world, int x, int y, int z) {
-        final int meta = world.getBlockMetadata(x, y, z);
-        world.setBlockAndMetadataWithNotify(x, y, z, Blocks.STAIRS_PLANKS_OAK.id, stripColorFromMetadata(meta));
-    }
-
-    @Override
-    public void setColor(World world, int x, int y, int z, DyeColor color) {
-        IPainted.super.setColor(world, x, y, z, color);
-    }
-}
+package net.minecraft.core.block;
+
+import net.minecraft.core.util.helper.DyeColor;
+import net.minecraft.core.world.World;
+
+public class BlockStairsPainted extends BlockStairs implements IPainted {
+    public BlockStairsPainted(Block block, String namespaceId, int id) {
+        super(block, namespaceId, id);
+    }
+
+    @Override
+    public DyeColor fromMetadata(int meta) {
+        return DyeColor.colorFromBlockMeta((meta & 0xF0) >> 4);
+    }
+
+    @Override
+    public int toMetadata(DyeColor color) {
+        return color.blockMeta << 4;
+    }
+
+    @Override
+    public int stripColorFromMetadata(int meta) {
+        return meta & 0xF;
+    }
+
+    @Override
+    public void removeDye(World world, int x, int y, int z) {
+        final int meta = world.getBlockMetadata(x, y, z);
+        world.setBlockAndMetadataWithNotify(x, y, z, Blocks.STAIRS_PLANKS_OAK.id, stripColorFromMetadata(meta));
+    }
+
+    @Override
+    public void setColor(World world, int x, int y, int z, DyeColor color) {
+        IPainted.super.setColor(world, x, y, z, color);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/block/StoneBlock.java b/src/main/java/net/minecraft/core/block/BlockStone.java
similarity index 86%
rename from src/main/java/net/minecraft/core/block/StoneBlock.java
rename to src/main/java/net/minecraft/core/block/BlockStone.java
index b09f44511..8b3559dff 100644
--- a/src/main/java/net/minecraft/core/block/StoneBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockStone.java
@@ -2,7 +2,7 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.achievement.stat.StatList;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
@@ -13,19 +13,19 @@ import net.minecraft.core.world.chunk.Chunk;
 import java.util.Random;
 import java.util.function.Supplier;
 
-public class StoneBlock extends Block {
+public class BlockStone extends Block {
 
 	private final Supplier<Block> cobblestoneSupplier;
 
-	public StoneBlock(String key, String namespaceId, int id, Supplier<Block> cobbleStoneSupplier, Material material) {
+	public BlockStone(String key, String namespaceId, int id, Supplier<Block> cobbleStoneSupplier, Material material) {
 		super(key, namespaceId, id, material);
 		this.cobblestoneSupplier = cobbleStoneSupplier;
 	}
 
 	@Override
-	public void harvestBlock(World world, Player player, int x, int y, int z, int meta, BlockEntity blockEntity)
+	public void harvestBlock(World world, Player player, int x, int y, int z, int meta, TileEntity tileEntity)
 	{
-		super.harvestBlock(world, player, x, y, z, meta, blockEntity);
+		super.harvestBlock(world, player, x, y, z, meta, tileEntity);
 		if(
 			player.getStat(Blocks.STONE.getStat(StatList.STAT_MINED)) > 0 &&
 			player.getStat(Blocks.BASALT.getStat(StatList.STAT_MINED)) > 0 &&
@@ -48,7 +48,7 @@ public class StoneBlock extends Block {
 	}
 
 	@Override
-	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
 	{
 		switch (dropCause)
 		{
diff --git a/src/main/java/net/minecraft/core/block/SugarcaneBlock.java b/src/main/java/net/minecraft/core/block/BlockSugarcane.java
similarity index 93%
rename from src/main/java/net/minecraft/core/block/SugarcaneBlock.java
rename to src/main/java/net/minecraft/core/block/BlockSugarcane.java
index 3337905eb..dd13cbcc9 100644
--- a/src/main/java/net/minecraft/core/block/SugarcaneBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockSugarcane.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.IBonemealable;
 import net.minecraft.core.util.helper.Side;
@@ -20,10 +20,10 @@ import java.util.Random;
 //            Block, Material, World, GrassBlock,
 //            Item, AxisAlignedBB
 
-public class SugarcaneBlock extends Block implements IBonemealable
+public class BlockSugarcane extends Block implements IBonemealable
 {
 
-	public SugarcaneBlock(String key, String namespaceId, int id)
+	public BlockSugarcane(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.plant);
         float f = 0.375F;
@@ -108,7 +108,7 @@ public class SugarcaneBlock extends Block implements IBonemealable
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return new ItemStack[] { new ItemStack(Items.SUGARCANE) };
     }
@@ -141,7 +141,7 @@ public class SugarcaneBlock extends Block implements IBonemealable
     public boolean onBonemealUsed(ItemStack itemstack, @Nullable Player player, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
         if(!world.isClientSide)
         {
-            ((SugarcaneBlock)Block.blocksList[id]).growReedOnTop(world, blockX, blockY, blockZ);
+            ((BlockSugarcane)Block.blocksList[id]).growReedOnTop(world, blockX, blockY, blockZ);
             if (player == null || player.getGamemode().consumeBlocks())
             {
                 itemstack.stackSize--;
diff --git a/src/main/java/net/minecraft/core/block/TNTBlock.java b/src/main/java/net/minecraft/core/block/BlockTNT.java
similarity index 78%
rename from src/main/java/net/minecraft/core/block/TNTBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTNT.java
index fc84b92cd..b06e9a886 100644
--- a/src/main/java/net/minecraft/core/block/TNTBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTNT.java
@@ -1,18 +1,18 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.TNTPrimedEntity;
+import net.minecraft.core.entity.EntityPrimedTNT;
 import net.minecraft.core.enums.EnumDropCause;
-import net.minecraft.core.item.FireStrikerItem;
+import net.minecraft.core.item.ItemFireStriker;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import net.minecraft.core.block.material.Material;
 
-public class TNTBlock extends Block {
+public class BlockTNT extends Block {
 
-	public TNTBlock(String key, String namespaceId, int id) {
+	public BlockTNT(String key, String namespaceId, int id) {
 		super(key, namespaceId, id, Material.explosive);
 	}
 
@@ -32,7 +32,7 @@ public class TNTBlock extends Block {
 	}
 
 	@Override
-	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
 	{
 		if (dropCause == EnumDropCause.EXPLOSION)
 		{
@@ -43,7 +43,7 @@ public class TNTBlock extends Block {
 
 	@Override
 	public void onBlockDestroyedByExplosion(World world, int x, int y, int z) {
-		TNTPrimedEntity entity = new TNTPrimedEntity(world, x + 0.5F, y + 0.5F, z + 0.5F);
+		EntityPrimedTNT entity = new EntityPrimedTNT(world, x + 0.5F, y + 0.5F, z + 0.5F);
 		entity.fuse = world.rand.nextInt(entity.fuse / 4) + entity.fuse / 8;
 		world.entityJoinedWorld(entity);
 	}
@@ -54,23 +54,23 @@ public class TNTBlock extends Block {
 
 	public void ignite(World world, int x, int y, int z, Player player, boolean sound) {
 		if (world.isClientSide) {
-			if (player != null && player.inventory.getCurrentItem() != null && (player.inventory.getCurrentItem().getItem() instanceof FireStrikerItem)) {
+			if (player != null && player.inventory.getCurrentItem() != null && (player.inventory.getCurrentItem().getItem() instanceof ItemFireStriker)) {
 				player.inventory.getCurrentItem().damageItem(1, player);
 			}
 			return;
 		}
 		world.setBlockWithNotify(x, y, z, 0);
-		TNTPrimedEntity e = new TNTPrimedEntity(world, x + 0.5F, y + 0.5F, z + 0.5F);
+		EntityPrimedTNT e = new EntityPrimedTNT(world, x + 0.5F, y + 0.5F, z + 0.5F);
 		world.entityJoinedWorld(e);
 		world.playSoundAtEntity(null, e, "tile.tnt.fuse", 1.0F, 1.0F);
-		if (player != null && player.inventory.getCurrentItem() != null && (player.inventory.getCurrentItem().getItem() instanceof FireStrikerItem)) {
+		if (player != null && player.inventory.getCurrentItem() != null && (player.inventory.getCurrentItem().getItem() instanceof ItemFireStriker)) {
 			player.inventory.getCurrentItem().damageItem(1, player);
 		}
 	}
 
 	@Override
 	public void onBlockLeftClicked(World world, int x, int y, int z, Player player, Side side, double xHit, double yHit) {
-		if (player.getCurrentEquippedItem() != null && player.getCurrentEquippedItem().getItem() instanceof FireStrikerItem) {
+		if (player.getCurrentEquippedItem() != null && player.getCurrentEquippedItem().getItem() instanceof ItemFireStriker) {
 			world.setBlockMetadata(x, y, z, 1);
 		}
 		super.onBlockLeftClicked(world, x, y, z, player, side, xHit, yHit);
@@ -78,7 +78,7 @@ public class TNTBlock extends Block {
 
 	@Override
     public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced) {
-		if (player.inventory.getCurrentItem() != null && player.inventory.getCurrentItem().getItem() instanceof FireStrikerItem) {
+		if (player.inventory.getCurrentItem() != null && player.inventory.getCurrentItem().getItem() instanceof ItemFireStriker) {
 			ignite(world, x, y, z, player, true);
 			return true;
 		}
diff --git a/src/main/java/net/minecraft/core/block/TallGrassBlock.java b/src/main/java/net/minecraft/core/block/BlockTallGrass.java
similarity index 75%
rename from src/main/java/net/minecraft/core/block/TallGrassBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTallGrass.java
index be059352c..63d3fb2e8 100644
--- a/src/main/java/net/minecraft/core/block/TallGrassBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTallGrass.java
@@ -1,19 +1,19 @@
 package net.minecraft.core.block;
 
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.MaterialColor;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
 // Referenced classes of package net.minecraft.src:
-//            FlowerBlock, IBlockAccess, WorldChunkManager, ColorizerGrass,
+//            BlockFlower, IBlockAccess, WorldChunkManager, ColorizerGrass,
 //            Item
 
-public class TallGrassBlock extends FlowerBlock
+public class BlockTallGrass extends BlockFlower
 {
-	public TallGrassBlock(String key, String namespaceId, int id)
+	public BlockTallGrass(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id);
         float f = 0.4F;
@@ -24,14 +24,14 @@ public class TallGrassBlock extends FlowerBlock
     @Override
     protected boolean mayPlaceOn(int blockId) {
     	Block block = Block.getBlock(blockId);
-    	if(block != null && block instanceof MossBlock) {
+    	if(block != null && block instanceof BlockMoss) {
     		return true;
     	}
     	return super.mayPlaceOn(blockId);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/EntityBlock.java b/src/main/java/net/minecraft/core/block/BlockTileEntity.java
similarity index 62%
rename from src/main/java/net/minecraft/core/block/EntityBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTileEntity.java
index 7ca686827..e29c4127b 100644
--- a/src/main/java/net/minecraft/core/block/EntityBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTileEntity.java
@@ -2,16 +2,16 @@ package net.minecraft.core.block;
 
 
 // Referenced classes of package net.minecraft.src:
-//            Block, World, Material, BlockEntity
+//            Block, World, Material, TileEntity
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
-public abstract class EntityBlock extends Block
+public abstract class BlockTileEntity extends Block
 {
 
-	public EntityBlock(String key, String namespaceId, int id, Material material)
+	public BlockTileEntity(String key, String namespaceId, int id, Material material)
     {
         super(key, namespaceId, id, material);
         isEntityTile[id] = true;
@@ -29,13 +29,13 @@ public abstract class EntityBlock extends Block
     {
         super.onBlockRemoved(world, x, y, z, data);
         if (!world.isClientSide) {
-            BlockEntity blockEntity = world.getBlockEntity(x, y, z);
-            if(blockEntity != null) {
-                blockEntity.dropContents(world, x, y, z);
+            TileEntity tileEntity = world.getBlockEntity(x, y, z);
+            if(tileEntity != null) {
+                tileEntity.dropContents(world, x, y, z);
             }
         }
         world.removeBlockTileEntity(x, y, z);
     }
 
-    protected abstract BlockEntity getNewBlockEntity();
+    protected abstract TileEntity getNewBlockEntity();
 }
diff --git a/src/main/java/net/minecraft/core/block/RotatableEntityBlock.java b/src/main/java/net/minecraft/core/block/BlockTileEntityRotatable.java
similarity index 71%
rename from src/main/java/net/minecraft/core/block/RotatableEntityBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTileEntityRotatable.java
index fd379f415..e3ec97846 100644
--- a/src/main/java/net/minecraft/core/block/RotatableEntityBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTileEntityRotatable.java
@@ -2,15 +2,13 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
 import org.jetbrains.annotations.NotNull;
 
-public abstract class RotatableEntityBlock extends EntityBlock {
+public abstract class BlockTileEntityRotatable extends BlockTileEntity {
 
-	public RotatableEntityBlock(String key, String namespaceId, int id, Material material) {
+	public BlockTileEntityRotatable(String key, String namespaceId, int id, Material material) {
         super(key, namespaceId, id, material);
     }
 
@@ -22,6 +20,6 @@ public abstract class RotatableEntityBlock extends EntityBlock {
     @Override
     public void onBlockPlacedOnSide(World world, int x, int y, int z, @NotNull Side side, double xPlaced, double yPlaced) {
         if (!side.isHorizontal()) side = Side.SOUTH;
-        world.setBlockMetadataWithNotify(x, y, z, RotatableBlock.setDirection(0, side.getDirection()));
+        world.setBlockMetadataWithNotify(x, y, z, BlockRotatable.setDirection(0, side.getDirection()));
     }
 }
diff --git a/src/main/java/net/minecraft/core/block/VeryRotatableEntityBlock.java b/src/main/java/net/minecraft/core/block/BlockTileEntityVeryRotatable.java
similarity index 87%
rename from src/main/java/net/minecraft/core/block/VeryRotatableEntityBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTileEntityVeryRotatable.java
index 468a7b450..7f43eca35 100644
--- a/src/main/java/net/minecraft/core/block/VeryRotatableEntityBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTileEntityVeryRotatable.java
@@ -7,9 +7,9 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
-public abstract class VeryRotatableEntityBlock extends RotatableEntityBlock {
+public abstract class BlockTileEntityVeryRotatable extends BlockTileEntityRotatable {
     public static final int MASK_DIRECTION = 0b0000_0111;
-	public VeryRotatableEntityBlock(String key, String namespaceId, int id, Material material) {
+	public BlockTileEntityVeryRotatable(String key, String namespaceId, int id, Material material) {
         super(key, namespaceId, id, material);
     }
 
diff --git a/src/main/java/net/minecraft/core/block/TorchBlock.java b/src/main/java/net/minecraft/core/block/BlockTorch.java
similarity index 99%
rename from src/main/java/net/minecraft/core/block/TorchBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTorch.java
index 31b1bd706..9f584b832 100644
--- a/src/main/java/net/minecraft/core/block/TorchBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTorch.java
@@ -17,7 +17,7 @@ import java.util.Random;
 //            Block, Material, World, AxisAlignedBB, 
 //            Vec3D, MovingObjectPosition
 
-public class TorchBlock extends Block
+public class BlockTorch extends Block
 {
     public static final int MASK_DIRECTION = 0b0000_0111;
     public static final int SIDE_NONE = 0;
@@ -28,7 +28,7 @@ public class TorchBlock extends Block
     public static final int SIDE_BOTTOM = 5;
     public static final int SIDE_TOP = 6;
 
-	public TorchBlock(String key, String namespaceId, int id)
+	public BlockTorch(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.decoration);
         setTicking(true);
diff --git a/src/main/java/net/minecraft/core/block/RedstoneTorchBlock.java b/src/main/java/net/minecraft/core/block/BlockTorchRedstone.java
similarity index 96%
rename from src/main/java/net/minecraft/core/block/RedstoneTorchBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTorchRedstone.java
index e7e93cabd..78cd8c9ac 100644
--- a/src/main/java/net/minecraft/core/block/RedstoneTorchBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTorchRedstone.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.block;
 
 import net.minecraft.client.util.helper.Colors;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.Color;
@@ -11,10 +11,10 @@ import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
-public class RedstoneTorchBlock extends TorchBlock {
+public class BlockTorchRedstone extends BlockTorch {
     private final boolean torchActive;
 
-    public RedstoneTorchBlock(String key, String namespaceId, int id, boolean isActive) {
+    public BlockTorchRedstone(String key, String namespaceId, int id, boolean isActive) {
         super(key, namespaceId, id);
         torchActive = isActive;
         setTicking(true);
@@ -119,7 +119,7 @@ public class RedstoneTorchBlock extends TorchBlock {
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity) {
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity) {
         return new ItemStack[]{new ItemStack(Blocks.TORCH_REDSTONE_ACTIVE)};
     }
 
diff --git a/src/main/java/net/minecraft/core/block/TransparentBlock.java b/src/main/java/net/minecraft/core/block/BlockTransparent.java
similarity index 70%
rename from src/main/java/net/minecraft/core/block/TransparentBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTransparent.java
index 57c3e9d2c..9e3ee745b 100644
--- a/src/main/java/net/minecraft/core/block/TransparentBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTransparent.java
@@ -2,10 +2,10 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
 
-public class TransparentBlock extends Block
+public class BlockTransparent extends Block
 {
 
-	public TransparentBlock(String key, String namespaceId, int id, Material material)
+	public BlockTransparent(String key, String namespaceId, int id, Material material)
     {
         super(key, namespaceId, id, material);
     }
diff --git a/src/main/java/net/minecraft/core/block/TrapDoorBlock.java b/src/main/java/net/minecraft/core/block/BlockTrapDoor.java
similarity index 95%
rename from src/main/java/net/minecraft/core/block/TrapDoorBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTrapDoor.java
index 151b538de..95fdf7cff 100644
--- a/src/main/java/net/minecraft/core/block/TrapDoorBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTrapDoor.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.PlacementMode;
@@ -19,7 +19,7 @@ import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public class TrapDoorBlock extends Block implements IPaintable {
+public class BlockTrapDoor extends Block implements IPaintable {
     public static final int DIRECTION_SOUTH = 0;
     public static final int DIRECTION_NORTH = 1;
     public static final int DIRECTION_EAST = 2;
@@ -29,7 +29,7 @@ public class TrapDoorBlock extends Block implements IPaintable {
     public static final int MASK_OPEN = 0b0000_0100;
     public static final int MASK_UPPER_HALF = 0b0000_1000;
 
-    public TrapDoorBlock(String key, String namespaceId, int id, Material material) {
+    public BlockTrapDoor(String key, String namespaceId, int id, Material material) {
         super(key, namespaceId, id, material);
         float f = 0.5F;
         float f1 = 1.0F;
@@ -115,7 +115,7 @@ public class TrapDoorBlock extends Block implements IPaintable {
     }
 
     @Override
-    public void onActivatorInteract(World world, int x, int y, int z, ActivatorBlockEntity activator, Direction direction) {
+    public void onActivatorInteract(World world, int x, int y, int z, TileEntityActivator activator, Direction direction) {
         if (blockMaterial != Material.metal && blockMaterial != Material.steel) {
             int l = world.getBlockMetadata(x, y, z);
             world.setBlockMetadataWithNotify(x, y, z, l ^ MASK_OPEN);
@@ -161,8 +161,8 @@ public class TrapDoorBlock extends Block implements IPaintable {
     public boolean isClimbable(World world, int x, int y, int z) {
         Block block = world.getBlock(x, y - 1, z);
         int meta = world.getBlockMetadata(x, y, z);
-        if (isTrapdoorOpen(meta) && block instanceof LadderBlock) {
-            LadderBlock ladder = (LadderBlock) block;
+        if (isTrapdoorOpen(meta) && block instanceof BlockLadder) {
+            BlockLadder ladder = (BlockLadder) block;
             Side ladderSide = ladder.getSideFromMeta(world.getBlockMetadata(x, y - 1, z));
             Direction trapdoorDirection = getDirectionForMeta(meta);
             return ladderSide.getDirection().getOpposite() == trapdoorDirection;
diff --git a/src/main/java/net/minecraft/core/block/PaintedTrapDoorBlock.java b/src/main/java/net/minecraft/core/block/BlockTrapDoorPainted.java
similarity index 88%
rename from src/main/java/net/minecraft/core/block/PaintedTrapDoorBlock.java
rename to src/main/java/net/minecraft/core/block/BlockTrapDoorPainted.java
index df6618ca8..daa594a01 100644
--- a/src/main/java/net/minecraft/core/block/PaintedTrapDoorBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockTrapDoorPainted.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
@@ -10,8 +10,8 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.Nullable;
 
-public class PaintedTrapDoorBlock extends TrapDoorBlock implements IPainted {
-    public PaintedTrapDoorBlock(String key, String namespaceId, int id, Material material) {
+public class BlockTrapDoorPainted extends BlockTrapDoor implements IPainted {
+    public BlockTrapDoorPainted(String key, String namespaceId, int id, Material material) {
         super(key, namespaceId, id, material);
     }
     
@@ -21,7 +21,7 @@ public class PaintedTrapDoorBlock extends TrapDoorBlock implements IPainted {
     }
     
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return new ItemStack[] { new ItemStack(Blocks.TRAPDOOR_PLANKS_PAINTED, 1, (meta >> 4 & 0xF) << 4) };
     }
